local scale, camera
local canvas1, canvas2, canvas3

function love.load()
  scale = 1
	canvas1 = love.graphics.newCanvas()
	canvas2 = love.graphics.newCanvas()
	canvas3 = love.graphics.newCanvas()

  local w, h = love.graphics.getWidth(), love.graphics.getHeight() 
  canvas1:clear()
  love.graphics.setCanvas(canvas1)
    love.graphics.setColor(255,0,0)  
    love.graphics.rectangle("fill", 50, 50, w - 100, h - 100)
  love.graphics.setCanvas()

  canvas2:clear()
  love.graphics.setCanvas(canvas2)
    love.graphics.setColor(255,255,255)
    love.graphics.draw(canvas1, 0, 0)
    love.graphics.setColor(0,255,0)
    love.graphics.rectangle("fill", 75, 75, w - 150, h - 150)
  love.graphics.setCanvas()

  canvas3:clear()
  love.graphics.setCanvas(canvas3)
    love.graphics.setColor(255,255,255)
    love.graphics.draw(canvas2, 0, 0)
    love.graphics.setColor(0,0,255)
    love.graphics.rectangle("fill", 100, 100, w - 200, h - 200)
  love.graphics.setCanvas()
end

function love.keypressed(k)
  if k == "escape" then
    love.event.quit()
  end
end

function love.update(dt)
  if love.keyboard.isDown("=") then
    scale = scale + 0.01
  elseif love.keyboard.isDown("-") then
    scale = scale - 0.01
  end
end

function love.draw()
  love.graphics.push()
    love.graphics.scale(scale)

    love.graphics.setColor(255,255,255)
    love.graphics.draw(canvas3, 0, 0)

  love.graphics.pop()
end
